package com.YuyeTech.TPlat.repository;

import com.YuyeTech.TPlat.dataobject.MainInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import sun.applet.Main;

import java.util.Optional;

/**
 * @author:slambb
 * @date:2019/12/31
 */
public interface MainInfoRepository extends JpaRepository<MainInfo,String> {

   Optional<MainInfo> findByTelephoneNumberAndPassword(String phoneNumber,String password);
   Optional<MainInfo> findByTelephoneNumber(String phoneNumber);
   Optional<MainInfo> findByEmailAndPassword(String email,String password);
   Optional<MainInfo> findByEmail(String email);

}
